Last Comment Bug 137285 - outline* and counter-* properties not reflected in DOM
: outline* and counter-* properties not reflected in DOM
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla1.8beta2
Assigned To: David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch)
: Hixie (not reading bugmail)
Mentors:
Depends on: 3247 281972
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-13 08:39 PDT by David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch)
Modified: 2005-04-01 15:56 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2002-04-13 08:39:27 PDT
Because of the changes for bug 3935, changes to the various outline* and
counter-* properties aren't going to be reflected in the DOM anymore because
they're no longer in the property list.  We should rename the constants and
recreate the old property list items so that they are.
Comment 1 Madhur Bhatia 2002-05-17 14:26:47 PDT
cc'ing myself
Comment 2 David Aznar Reguero 2005-03-14 15:39:46 PST
Please submit a valid testcase or just close the bug.
Comment 3 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-04-01 15:54:50 PST
Fixed by recent checkins.
Comment 4 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-04-01 15:56:26 PST
... for outline (bug 281972) and counters (bug 3247) that made us implement the
CSS2 names rather than our -moz- names for CSS2 properties.

Note You need to log in before you can comment on or make changes to this bug.